import resolveShopFromShopId from "@reactioncommerce/api-utils/graphql/resolveShopFromShopId.js";
import resolveOrderFromtransactionId from "./order.js";

export default {
  amount: (node) => ({ amount: node.amount, currencyCode: node.currencyCode }),
  createdAt: (node) => new Date(node.createdAt),
  order: resolveOrderFromtransactionId,
  shop: resolveShopFromShopId,
  paymentId: (node) => node.transactionId
};
